%define	name	dvdwizard
%define	version 0.4.2
%define release 1andyrtr

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DVD-Video creation wrapper
License: 	GPL
Group:		Archiving/Cd burning
Source:		http://www.wershofen.de/downloads/%{name}.tar.bz2
Requires:	dvdauthor
Requires:	ImageMagick
Requires:	toolame
Requires:	mjpegtools
Requires:	transcode
BuildRoot:	%{_tmppath}/%{name}-buildroot
#BuildArch:	noarch

%description
dvdwizard is a wrapper-script which incorporates a fully automated creation of
a DVD-structure with Chapters and menus from one or more mpeg-streams. This is
done by several "sub-scripts" and various freely available tools. Needless to
say, that dvdwizard is distributed under the GPL as well.

This package is in PLF because it requires transcode.

%prep
%setup -q
chmod 644 COPYING

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}
install -m 755 chaptercheck $RPM_BUILD_ROOT%{_bindir}
install -m 755 dvd* $RPM_BUILD_ROOT%{_bindir}
install -m 755 mk* $RPM_BUILD_ROOT%{_bindir}
install -m 755 mpgprobe $RPM_BUILD_ROOT%{_bindir}
install -m 644 dvdwizard.conf.sample $RPM_BUILD_ROOT%{_sysconfdir}/dvdwizard.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING CONTRIB README* TODO*
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Wed Jan 19 2005 AndyRTR <andreas.radke@freenet.de> 0.4.2-1andyrtr
- rebuild for Mandrake 10.1
- taken from PLF Cooker
- first release
